Debian Bug report logs - #684423
live-tools: Broken link ( /usr/sbin/update-initramfs -> ../bin/live-update-initramfs )

version graph

Package: live-tools; Maintainer for live-tools is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-tools is src:live-tools.

Reported by: Viktor Malyarchuk <malyar@gmail.com>

Date: Thu, 9 Aug 2012 20:03:01 UTC

Severity: grave

Found in versions live-tools/3.0.6-1, live-tools/3.0.5-1, live-tools/3.0.7-1

Fixed in version live-tools/3.0.8-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, malyar@gmail.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#684423; Package live-tools. (Thu, 09 Aug 2012 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Viktor Malyarchuk <malyar@gmail.com>:
New Bug report received and forwarded. Copy sent to malyar@gmail.com, Debian Live Project <debian-live@lists.debian.org>. (Thu, 09 Aug 2012 20:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Viktor Malyarchuk <malyar@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-tools: Broken link ( /usr/sbin/update-initramfs -> ../bin/live-update-initramfs )
Date: Thu, 09 Aug 2012 15:01:06 -0500
Package: live-tools
Version: 3.0.7-1
Severity: important

Dear Maintainer,

live-tools is shipped with broken link
/usr/sbin/update-initramfs -> ../bin/live-update-initramf
which break an automatic initrd images generation and update.

Changing the link to
/usr/sbin/update-initramfs -> /bin/live-update-initramf
restores lost functionality.

Best regards,
Viktor Malyarchuk


-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.5.0+ (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-tools depends on:
ii  initramfs-tools  0.107
ii  procps           1:3.3.3-2

live-tools recommends no packages.

Versions of packages live-tools suggests:
ii  debian-installer-launcher  13
ii  perl                       5.14.2-12
ii  rsync                      3.0.9-3

-- no debconf information



Marked as found in versions live-tools/3.0.6-1. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Fri, 10 Aug 2012 11:54:02 GMT) Full text and rfc822 format available.

Marked as found in versions live-tools/3.0.5-1. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Fri, 10 Aug 2012 11:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#684423; Package live-tools. (Fri, 10 Aug 2012 12:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 10 Aug 2012 12:00:08 GMT) Full text and rfc822 format available.

Message #14 received at 684423@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 684423@bugs.debian.org
Subject: Re: Bug#684423: live-tools: Broken link ( /usr/sbin/update-initramfs -> ../bin/live-update-initramfs )
Date: Fri, 10 Aug 2012 13:58:47 +0200
severity 684423 grave
thanks

On Thu, Aug 09, 2012 at 03:01:06PM -0500, Viktor Malyarchuk wrote:

> live-tools is shipped with broken link
> /usr/sbin/update-initramfs -> ../bin/live-update-initramf
> which break an automatic initrd images generation and update.

Which breaks "unrelated" software (linux kernel packages) and is thus 
grave. Thank you *so* much for breaking stuff, again.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.



Severity set to 'grave' from 'important' Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Fri, 10 Aug 2012 12:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#684423; Package live-tools. (Fri, 10 Aug 2012 12:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Morris <sam@robots.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 10 Aug 2012 12:21:07 GMT) Full text and rfc822 format available.

Message #21 received at 684423@bugs.debian.org (full text, mbox):

From: Sam Morris <sam@robots.org.uk>
To: 684423@bugs.debian.org
Subject: update-initramfs workaround
Date: Fri, 10 Aug 2012 13:19:09 +0100
The following hook can be used to work around this bug.
        
        $ cat config/hooks/fix-update-initramfs.chroot 
        #!/bin/sh
        set -eu
        ln
        -sf ../../bin/live-update-initramfs /usr/sbin/update-initramfs

-- 
Sam Morris <sam@robots.org.uk>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#684423; Package live-tools. (Fri, 10 Aug 2012 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 10 Aug 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #26 received at 684423@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Evgeni Golov <evgeni@debian.org>
Cc: 684423@bugs.debian.org
Subject: Re: Bug#684423: live-tools: Broken link ( /usr/sbin/update-initramfs -> ../bin/live-update-initramfs )
Date: Fri, 10 Aug 2012 15:01:57 +0200
On 08/10/2012 01:58 PM, Evgeni Golov wrote:
> Thank you *so* much for breaking stuff, again.

you should work on your attitude. of course i don't break things on 
purpose. besides, it's sid. you should know that.



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 10 Aug 2012 21:03:09 GMT) Full text and rfc822 format available.

Notification sent to Viktor Malyarchuk <malyar@gmail.com>:
Bug acknowledged by developer. (Fri, 10 Aug 2012 21:03:10 GMT) Full text and rfc822 format available.

Message #31 received at 684423-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 684423-close@bugs.debian.org
Subject: Bug#684423: fixed in live-tools 3.0.8-1
Date: Fri, 10 Aug 2012 21:02:46 +0000
Source: live-tools
Source-Version: 3.0.8-1

We believe that the bug you reported is fixed in the latest version of
live-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684423@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 10 Aug 2012 22:27:08 +0200
Source: live-tools
Binary: live-tools
Architecture: source all
Version: 3.0.8-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-tools - Debian Live - System Support Scripts
Closes: 684423
Changes: 
 live-tools (3.0.8-1) unstable; urgency=low
 .
   * Moving symlink from /usr/bin to /bin where live-update-initramfs
     actually resides now (Closes: #684423).
Checksums-Sha1: 
 f7db7abd1b40b1d1dc100f6c7e89fdb21229d991 1259 live-tools_3.0.8-1.dsc
 9350c04ac5602c973bad7a6c39bb49d5f5502df3 19104 live-tools_3.0.8.orig.tar.xz
 9316ef2658fe80d17dd19716b9e6de41eae9cc46 3956 live-tools_3.0.8-1.debian.tar.xz
 a8b7352146e60b94c8b5bc77af4852260bdc259f 11970 live-tools_3.0.8-1_all.deb
Checksums-Sha256: 
 372fc76f197e66020c381bf158831cd8bfe813347bf5d78a34110bf9ce36bc15 1259 live-tools_3.0.8-1.dsc
 2947f8ca1874220cb65f2fe45bac06d2a12cf60c958ee68c9a535b2de4580603 19104 live-tools_3.0.8.orig.tar.xz
 a10aed0eb7b0fdfd6e787ebf281f2636a7e71be764105503154cf5fc607da2dd 3956 live-tools_3.0.8-1.debian.tar.xz
 5cfa2d5ff0da47175c5f619afd53fe02cf53d9efd1f3b68798a00d54c1672e00 11970 live-tools_3.0.8-1_all.deb
Files: 
 b2f05343cf35134bd30b6b7efacb8ed7 1259 misc optional live-tools_3.0.8-1.dsc
 e6ac8987a622bf6d4c0ab1aab53a5a09 19104 misc optional live-tools_3.0.8.orig.tar.xz
 dd02b857e5939deef93a9afac7d1d7c7 3956 misc optional live-tools_3.0.8-1.debian.tar.xz
 140b2ecdf73f6b253db0e84356975b80 11970 misc optional live-tools_3.0.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlAlcGUACgkQ+C5cwEsrK56PIwCfR0UGZjx9NQW2Q8t3VghJDfsC
DiAAn3z9HGaMtgGjpG4NAT4AvK5Wy8RC
=k/Yd
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Sep 2012 07:26:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:17:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.